Post news RSS Version 1.11.2 Released!

Version 1.11.2 of Western Europe 410-962 - The Winter King, compatible with CKII version 3.3.2, has been released.

Posted by on

The Winter King team is happy to announce the release of version 1.11.1 of our Crusader Kings II mod, compatible with CKII version 3.3.2. This is an urgent hotfix patch for a crash-on-startup problem with some Macs that has been occurring for a while now, with a number of smaller bugfixes included as well. See our thread on the official Paradox forums for more information and a full changelog. We are happy to hear all your compliments, criticisms, bug reports and reactions.

Kind regards,

The Winter King team.

Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.